Skip to main content
DELETE
/
report_notifications
/
{report_notification_token}
Delete report notification
curl --request DELETE \
  --url https://api.vantage.sh/v2/report_notifications/{report_notification_token} \
  --header 'Authorization: Bearer <token>'
{
  "token": "<string>",
  "title": "Acme Report Notification",
  "cost_report_token": "rprt_abcd1234",
  "user_tokens": [
    ""
  ],
  "recipient_channels": [
    ""
  ],
  "frequency": "weekly",
  "change": "percentage"
}

Documentation Index

Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

report_notification_token
string
required

Response

ReportNotification model

token
string
required
title
string
required

The title of the ReportNotification.

Example:

"Acme Report Notification"

cost_report_token
string
required

The token for a CostReport the ReportNotification is applied to.

Example:

"rprt_abcd1234"

user_tokens
string[]
required

The Users that receive the notification.

recipient_channels
string[]
required

The Slack or Microsoft Teams channels that receive the notification.

frequency
enum<string>
required

The frequency the ReportNotification is sent.

Available options:
daily,
weekly,
monthly
Example:

"weekly"

change
enum<string>
required

The type of change the ReportNotification is tracking.

Available options:
percentage,
dollars
Example:

"percentage"